POST V1/ProAdminPayments.{ext}/GeneratePennyTest?companyCode={companyCode}&companyId={companyId}&currencyCode={currencyCode}&notificationId={notificationId}&pfDate={pfDate}&settlementDate={settlementDate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
companyCode

No description available

string

Required

companyId

No description available

integer

Required

currencyCode

No description available

string

Required

notificationId

No description available

string

Required

pfDate

No description available

string

Required

settlementDate

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.GeneratePennyTestList
NameDescriptionTypeAdditional information
GeneratePennyTests

No description available

Collection of EMS.ProAdmin.Entities.GeneratePennyTest

None.

Request Formats

application/json, text/json

Sample:
{
  "generatePennyTests": [
    {
      "achId": "sample string 1",
      "vendorName": "sample string 2",
      "vendorRemitAcctNumber": "sample string 3",
      "vendorRoutingNumber": "sample string 4",
      "bankName": "sample string 5",
      "paymentMethod": "sample string 6"
    },
    {
      "achId": "sample string 1",
      "vendorName": "sample string 2",
      "vendorRemitAcctNumber": "sample string 3",
      "vendorRoutingNumber": "sample string 4",
      "bankName": "sample string 5",
      "paymentMethod": "sample string 6"
    }
  ]
}

application/xml, text/xml

Sample:
<GeneratePennyTestList xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <GeneratePennyTests>
    <GeneratePennyTest>
      <BankName>sample string 5</BankName>
      <PaymentMethod>sample string 6</PaymentMethod>
      <VendorName>sample string 2</VendorName>
      <VendorRemitAcctNumber>sample string 3</VendorRemitAcctNumber>
      <VendorRoutingNumber>sample string 4</VendorRoutingNumber>
      <achId>sample string 1</achId>
    </GeneratePennyTest>
    <GeneratePennyTest>
      <BankName>sample string 5</BankName>
      <PaymentMethod>sample string 6</PaymentMethod>
      <VendorName>sample string 2</VendorName>
      <VendorRemitAcctNumber>sample string 3</VendorRemitAcctNumber>
      <VendorRoutingNumber>sample string 4</VendorRoutingNumber>
      <achId>sample string 1</achId>
    </GeneratePennyTest>
  </GeneratePennyTests>
</GeneratePennyTestList>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.